Bug 1448041 - Review Request: python-metakernel - Metakernel for Jupyter
Summary: Review Request: python-metakernel - Metakernel for Jupyter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1448040
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-04 12:39 UTC by Mattias Ellert
Modified: 2017-06-09 19:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:23:31 UTC
tcallawa: fedora-review+


Attachments (Terms of Use)

Description Mattias Ellert 2017-05-04 12:39:15 UTC
Spec URL: http://www.grid.tsl.uu.se/review/python-metakernel.spec
SRPM URL: http://www.grid.tsl.uu.se/review/python-metakernel-0.20.1-1.fc27.src.rpm

Description:
A Jupyter/IPython kernel template which includes core magic functions (including help, command and file path completion, parallel and distributed processing, downloads, and much more).

Fedora Account System Username: ellert

Comment 2 Mattias Ellert 2017-05-19 05:24:54 UTC
New version with tests in a separate subpackage:

Spec URL: http://www.grid.tsl.uu.se/review/python-metakernel.spec
SRPM URL: http://www.grid.tsl.uu.se/review/python-metakernel-0.20.2-2.fc27.src.rpm

Comment 3 Tom "spot" Callaway 2017-06-01 19:37:32 UTC
Review
=======
Notes: You will need to be careful with how you update this package. If it were my package, I would macroize the different versions/release values at the top:

%global metapyver 0.19.1
%global echover  0.19.1
%global bashver  0.19.1
# Reminder: Do I need to increment these release values?
%global metapyrel 3
%global echorel   3
%global bashrel   3

It's easy to push an update and forget to change these values. I'm not sure if koji will notice if subpackages show up with identical nvr if the source nvr is different. Again, if it were me, I'd lock the release value (and never reset it back to 1) across all the subpackages just to ensure that I didn't accidentally screw it up. That said, I _know_ you know what you're doing here.

- rpmlint checks return:
python2-metakernel-tests.noarch: W: no-documentation
python3-metakernel-tests.noarch: W: no-documentation
python2-metakernel-python.noarch: W: no-documentation
python3-metakernel-python.noarch: W: no-documentation
python2-metakernel-echo.noarch: W: no-documentation
python3-metakernel-echo.noarch: W: no-documentation
python2-metakernel-bash.noarch: W: no-documentation
python3-metakernel-bash.noarch: W: no-documentation
All safe to ignore 
- package meets naming guidelines
- package meets python and general packaging guidelines
- license (BSD) OK, text in %license, matches source
- spec file legible, in am. english
- source matches upstream (1c7e5badcf8505a550d01f2946d56d2160a5d163633503c97dfe39bc8b0e05f7)
- package compiles on f26 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- -docs is appropriate
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED.

Comment 4 Gwyn Ciesla 2017-06-02 12:36:00 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-metakernel

Comment 5 Fedora Update System 2017-06-02 14:11:17 UTC
python-metakernel-0.20.2-2.fc26 python-ipyparallel-6.0.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c373ea651

Comment 6 Fedora Update System 2017-06-04 19:41:04 UTC
python-ipyparallel-6.0.2-2.fc26, python-metakernel-0.20.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c373ea651

Comment 7 Fedora Update System 2017-06-09 19:23:31 UTC
python-ipyparallel-6.0.2-2.fc26, python-metakernel-0.20.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.